GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
gdcm::network::AbstractSyntax Class Reference

AbstractSyntax Table 9-14 ABSTRACT SYNTAX SUB-ITEM FIELDS. More...

`#include <gdcmAbstractSyntax.h>`

List of all members.

## Public Member Functions

| AbstractSyntax ()
DataElement | GetAsDataElement () const
const char * | GetName () const
bool | operator== (const AbstractSyntax &as) const
void | Print (std::ostream &os) const
std::istream & | Read (std::istream &is)
void | SetName (const char *name)
void | SetNameFromUID (UIDs::TSName tsname)
size_t | Size () const
const std::ostream & | Write (std::ostream &os) const

## Detailed Description

AbstractSyntax Table 9-14 ABSTRACT SYNTAX SUB-ITEM FIELDS.

## Constructor & Destructor Documentation

gdcm::network::AbstractSyntax::AbstractSyntax | ( |  | ) |

## Member Function Documentation

DataElement gdcm::network::AbstractSyntax::GetAsDataElement | ( |  | ) | const

const char* gdcm::network::AbstractSyntax::GetName | ( |  | ) | const`[inline]`

bool gdcm::network::AbstractSyntax::operator== | ( | const AbstractSyntax & | as | ) | const`[inline]`

void gdcm::network::AbstractSyntax::Print | ( | std::ostream & | os | ) | const

std::istream& gdcm::network::AbstractSyntax::Read | ( | std::istream & | is | ) |

void gdcm::network::AbstractSyntax::SetName | ( | const char * | name | ) | `[inline]`

void gdcm::network::AbstractSyntax::SetNameFromUID | ( | UIDs::TSName | tsname | ) |

size_t gdcm::network::AbstractSyntax::Size | ( |  | ) | const

const std::ostream& gdcm::network::AbstractSyntax::Write | ( | std::ostream & | os | ) | const

The documentation for this class was generated from the following file:

- gdcmAbstractSyntax.h